Name:           liblqr-1
Version:        0.4.1
Release:        1%{?dist}
Summary:        LiquidRescale library
Group:          System Environment/Libraries
License:        GPLv3
URL:            http://liquidrescale.wikidot.com/
Source0:        http://liblqr.wikidot.com/local--files/en:download-page/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-%(%{__id_u} -n)
BuildRequires:  glib2-devel

%description
The LiquidRescale (lqr) library provides a C/C++ API for
performing non-uniform resizing of images by the seam-carving
technique.

%package devel
Summary:        LiquidRescale library  development kit
Group:          Development/Libraries
License:        GPLv3
Requires:       %{name} = %{version}-%{release}
Requires:       glib2-devel, pkgconfig

%description devel
The libqr-devel package contains the header files
needed to develop applications with liblqr


%prep
%setup -q

%build
export LDFLAGS="`pkg-config --libs glib-2.0` -lm"
%configure
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# remove .la files
find $RPM_BUILD_ROOT -name \*.la -exec %{__rm} -f {} \;

# Fedora MUST
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc README ChangeLog COPYING
%{_libdir}/liblqr-1.so.0.3.1
%{_libdir}/liblqr-1.so.0

%files devel
%defattr (-, root, root,-)
%doc docs/liblqr_manual.docbook
%{_libdir}/liblqr-1.so
%{_includedir}/lqr-1/
%{_libdir}/pkgconfig/lqr-1.pc


%changelog
* Mon Aug 03 2009 Sven Lankes <sven@lank.es> - 0.4.1-1
- Update to latest upstream release
- Remove upstreamed patch

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Sep 21 2008 Ville Skyttä <ville.skytta at iki.fi> - 0.1.0-6
- Fix Patch0:/%%patch mismatch.

* Fri Feb 29 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.1.0-5
- Applied pkgconfig patch to remove unneeded directories.
- Changed permissions of files to 0644.
- Fixed minor typos.

* Mon Feb 25 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.1.0-4
- Cleaned SPEC file, again.

* Wed Feb 20 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.1.0-3
- Cleaned SPEC file.

* Tue Feb 19 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.1.0-2
- Fixed licensing issue.

* Thu Jan 17 2008 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.1.0-1
- Update to latest upstream release.
- Added glib BuildRequires.

* Mon Dec 10 2007 Alexandru Ciobanu <alex@tvtransilvania.ro> - 0.1.0-0
- Initial RPM release.
